{
    // 页面配置
    "pages": [{
        "path": "pages/index/index",
        "style": {
            "navigationBarTitleText": "呵呵商城",
            "enablePullDownRefresh": false
        }
    }, {
        "path": "pages/tabBar/home/home",
        "style": {
            "navigationBarTitleText": "呵呵商城",
            "enablePullDownRefresh": true,
            "backgroundColor": "#F952B7",
            "navigationBarBackgroundColor": "#F952B7",
            "navigationBarTextStyle": "white"
        }
    }, {
        "path": "pages/tabBar/category/category",
        "style": {
            "navigationBarTitleText": "商品分类",
            "enablePullDownRefresh": false
        }
    }, {
        "path": "pages/tabBar/cart/cart",
        "style": {
            "navigationBarTitleText": "购物车",
            "enablePullDownRefresh": true
        }
    }, {
        "path": "pages/tabBar/user/user",
        "style": {
            "navigationBarTitleText": "个人中心",
            "enablePullDownRefresh": true
        }
    }, {
        "path": "pages/authorize/login-auth",
        "style": {
            "navigationBarTitleText": "微信授权",
            "enablePullDownRefresh": false
        }
    }, {
        "path": "pages/authorize/login-custom",
        "style": {
            "navigationBarTitleText": "登录",
            "enablePullDownRefresh": false
        }
    }],

    // 分包加载配置
    "subPackages": [
        // 活动专区
        {
            "root": "pages/views/activity",
            "pages": [{
                "path": "activity-area",
                "style": {
                    "navigationBarTitleText": "活动专区",
                    "enablePullDownRefresh": true
                }
            }, {
                "path": "activity-detail",
                "style": {
                    "navigationBarTitleText": "活动详情",
                    "enablePullDownRefresh": true
                }
            }]
        },
        // 收货地址
        {
            "root": "pages/views/address",
            "pages": [{
                "path": "address-create",
                "style": {
                    "navigationBarTitleText": "添加新地址",
                    "enablePullDownRefresh": false
                }
            }, {
                "path": "address-list",
                "style": {
                    "navigationBarTitleText": "地址列表",
                    "enablePullDownRefresh": false
                }
            }]
        },
        // 购物车
        {
            "root": "pages/views/cart",
            "pages": [{
                "path": "cart",
                "style": {
                    "navigationBarTitleText": "购物车",
                    "enablePullDownRefresh": false,
                    "navigationStyle": "custom"
                }
            }]
        },
        // 优惠券
        {
            "root": "pages/views/coupon",
            "pages": [{
                "path": "coupon-user",
                "style": {
                    "navigationBarTitleText": "优惠券",
                    "enablePullDownRefresh": false
                }
            }, {
                "path": "coupon-receive",
                "style": {
                    "navigationBarTitleText": "领券中心",
                    "enablePullDownRefresh": false
                }
            }, {
                "path": "coupon-description",
                "style": {
                    "navigationBarTitleText": "优惠券说明",
                    "enablePullDownRefresh": false
                }
            }]
        },
        // 商品
        {
            "root": "pages/views/goods",
            "pages": [{
                "path": "goods-list",
                "style": {
                    "navigationBarTitleText": "商品列表",
                    "enablePullDownRefresh": false
                }
            }, {
                "path": "goods-floor",
                "style": {
                    "navigationBarTitleText": "商品列表",
                    "enablePullDownRefresh": false
                }
            }, {
                "path": "goods-search",
                "style": {
                    "navigationBarTitleText": "搜索",
                    "enablePullDownRefresh": false
                }
            }, {
                "path": "goods-detail",
                "style": {
                    "navigationBarTitleText": "商品详情",
                    "enablePullDownRefresh": false
                }
            }]
        },
        // 订单
        {
            "root": "pages/views/order",
            "pages": [{
                "path": "order-create",
                "style": {
                    "navigationBarTitleText": "创建订单",
                    "enablePullDownRefresh": false
                }
            }, {
                "path": "order-detail",
                "style": {
                    "navigationBarTitleText": "订单详情",
                    "enablePullDownRefresh": false
                }
            }, {
                "path": "order-list",
                "style": {
                    "navigationBarTitleText": "订单列表",
                    "enablePullDownRefresh": false,
                    "navigationStyle": "custom"

                }
            }, {
                "path": "order-search",
                "style": {
                    "navigationBarTitleText": "订单搜索",
                    "enablePullDownRefresh": false
                }
            }, {
                "path": "order-logistics",
                "style": {
                    "navigationBarTitleText": "物流信息",
                    "enablePullDownRefresh": false
                }
            }, {
                "path": "pay-success",
                "style": {
                    "navigationBarTitleText": "支付成功",
                    "enablePullDownRefresh": false
                }
            }, {
                "path": "pay-faild",
                "style": {
                    "navigationBarTitleText": "支付失败",
                    "enablePullDownRefresh": false
                }
            }]
        },
        // 拼单（分享购买）
        {
            "root": "pages/views/share-buy",
            "pages": [{
                "path": "share-buy-entry",
                "style": {
                    "navigationBarTitleText": "拼单",
                    "enablePullDownRefresh": false
                }
            }, {
                "path": "share-buy-detail",
                "style": {
                    "navigationBarTitleText": "拼单详情",
                    "enablePullDownRefresh": false
                }
            }, {
                "path": "share-buy-success",
                "style": {
                    "navigationBarTitleText": "拼单成功",
                    "enablePullDownRefresh": false
                }
            }]
        },
        // 其它页面
        {
            "root": "pages/views/others",
            "pages": [{
                "path": "join-us",
                "style": {
                    "navigationBarTitleText": "欢迎加入呵呵商城",
                    "enablePullDownRefresh": false
                }
            }]
        }
    ],

    // 全局主题配置
    "globalStyle": {
        "navigationBarTextStyle": "black",
        "navigationBarTitleText": "呵呵商城",
        "navigationBarBackgroundColor": "#FFFFFF",
        "backgroundColor": "#FFFFFF"
    },

    // 底部tabbar配置
    "tabBar": {
        "height": "80",
        "color": "#999999",
        "selectedColor": "#ff457b",
        "borderStyle": "black",
        "backgroundColor": "#ffffff",
        "list": [{
                "pagePath": "pages/tabBar/home/home",
                "iconPath": "static/tabBar/icon-index@2x.png",
                "selectedIconPath": "static/tabBar/icon-index-active@2x.png",
                "text": "商城"
            },
            {
                "pagePath": "pages/tabBar/category/category",
                "iconPath": "static/tabBar/icon-category@2x.png",
                "selectedIconPath": "static/tabBar/icon-category-active@2x.png",
                "text": "分类"
            },
            {
                "pagePath": "pages/tabBar/cart/cart",
                "iconPath": "static/tabBar/icon-cart@2x.png",
                "selectedIconPath": "static/tabBar/icon-cart-active@2x.png",
                "text": "购物车"
            },
            {
                "pagePath": "pages/tabBar/user/user",
                "iconPath": "static/tabBar/icon-user@2x.png",
                "selectedIconPath": "static/tabBar/icon-user-active@2x.png",
                "text": "我的"
            }
        ]
    },

    // 组件自动引入规则
    "easycom": {
        "autoscan": true,
        "custom": {
            "tui-(.*)": "@/components/thorui/tui-$1/tui-$1.vue",
            "cm-(.*)": "@/components/views/cm-$1/cm-$1.vue",
            "order-(.*)": "@/pages/views/order/components/order-$1/order-$1.vue",
            "goods-(.*)": "@/pages/views/goods/components/goods-$1/goods-$1.vue",
            "coupon-(.*)": "@/pages/views/coupon/components/coupon-$1/coupon-$1.vue",
            "share-buy-(.*)": "@/pages/views/share-buy/components/share-buy-$1/share-buy-$1.vue"
        }
    }

}
